# Project Information
site_name: Computer Networks Wiki
site_url: https://jarkomfasilkomui.gitlab.io/2021-even/compnetwiki/
site_dir: public
site_author: Computer Networks - Fasilkom UI

# Repository Information
repo_url: https://gitlab.com/jarkomfasilkomui/2021-even/compnetwiki

# Themes
theme:
  name: material
  features:
    - navigation.instant
    - navigation.sections
  palette:
    scheme: slate
    primary: teal
    secondary: blue
  font:
    text: Fira Sans
    code: Fira code
  icon:
    logo: material/notebook

# Navigation
nav:
  - Home: index.md
  - 'What is the Internet?':
    - 'What is the Internet?': 'a-what-is-the-internet/a1.md'
    - 'Communication Links and Packet Switching': 'a-what-is-the-internet/a2.md'
    - 'Services': 'a-what-is-the-internet/a3.md'
    - 'Protocols': 'a-what-is-the-internet/f3.md'
  - 'Edge Networks':
    - 'What is Edge Networks?': 'b-edge-networks/b1.md'
    - 'Edge Network to ISP Connection': 'b-edge-networks/b2.md'
    - 'Physical Media': 'b-edge-networks/b3.md'
    - 'Local Network Topology': 'b-edge-networks/g3.md'
  - 'Core Networks':
    - 'What is Core Networks?': 'c-core-networks/c1.md'
    - 'ISP Types': 'c-core-networks/c2.md'
    - 'IXP and Content Provider Network': 'c-core-networks/c3.md'
    - 'Circuit Switch and Packet Switch Networks': 'c-core-networks/c4.md'
  - 'Delay, Packet Loss, and Throughput':
    - 'Delay':
      - 'Processing and Queuing Delay': 'd-delay-packet-loss-throughput/d1.md'
      - 'Transmission and Propagation Delay': 'd-delay-packet-loss-throughput/d2.md'
    - 'Packet Loss': 'd-delay-packet-loss-throughput/d3.md'
    - 'Throughput': 'd-delay-packet-loss-throughput/d4.md'
  - 'Protocol Layers':
    - 'Why Layering Model?': 'e-protocol-layers/e1.md'
    - 'OSI Layering Model': 'e-protocol-layers/e2.md'
    - 'TCP/IP Layering Model': 'e-protocol-layers/e3.md'
  - 'Network Security':
    - 'Security Threats': 'f-network-security/f1.md'
    - 'Security Attacks': 'f-network-security/f2.md'
  - 'History of Internet':
    - 'World': 'g-history-of-internet/g1.md'
    - 'Indonesia': 'g-history-of-internet/g2.md'



